Remove categories from a vehicle
curl --request DELETE \
--url https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}/relationships/categories \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
'import requests
url = "https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}/relationships/categories"
payload = { "data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
] }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: '<string>'}]})
};
fetch('https://api.ctrl-hub.com/v3/vehicles/{vehicle_id}/relationships/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Vehicles
Remove categories from a vehicle
Detach one or more categories from a vehicle. Certifications already materialised onto the vehicle are left in place.
DELETE
/
v3
/
vehicles
/
{vehicle_id}
/
relationships
/
categories
Remove categories from a vehicle
Authorizations
SessionCookieOAuth2
Session token for authentication.
Path Parameters
The unique identifier for the vehicle.
Body
application/vnd.api+json
A to-many relationship body of vehicle category resource identifiers.
Show child attributes
Show child attributes
Response
Categories removed from the vehicle.
⌘I